/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.121 Revision 1.180
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.121 2010/07/15 11:19:50 hwoarang Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.180 2012/05/13 14:08:01 pesa Exp $
4
5 13 May 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
6 Fix kde USE flag description (media-libs/phonon vs. media-sound/phonon).
7
8 04 May 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.9.1.ebuild:
9 Migrating dev-util/pkgconfig -> virtual/pkgconfig
10
11 24 Apr 2012; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.9.1.ebuild:
12 Stable for amd64, wrt bug #412929
13
14 31 Mar 2012; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.4.ebuild:
15 Stable on alpha, bug #354033
16
17 07 Mar 2012; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.8.1.ebuild,
18 PyQt4-4.8.4.ebuild:
19 PyQt4-4.8 does not build with sip-4.13, bug 407291
20
21 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
22 Slightly improve the ewarn message in pkg_postinst().
23
24 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> metadata.xml:
25 Put qt as the primary herd in metadata.
26
27 07 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.4.ebuild:
28 Fix insecure RUNPATH in qpy/QtOpenGL, thanks to Steve L
29 <slong@rathaus.eclipse.co.uk> in bug #407281.
30
31 03 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
32 Switch to EAPI 4, add REQUIRED_USE.
33
34 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.8.1.ebuild,
35 PyQt4-4.8.4.ebuild:
36 Drop ~x86-fbsd because of unkeyworded dependencies.
37
38 02 Mar 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
39 Don't enable QtAssistant module because it was removed in qt-4.7 and we
40 already depend on 4.7.2 or later.
41
42 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.3.ebuild,
43 PyQt4-4.8.1.ebuild, PyQt4-4.8.4.ebuild:
44 Restrict pypy for older versions too.
45
46 21 Feb 2012; Davide Pesavento <pesa@gentoo.org> PyQt4-4.9.1.ebuild:
47 Build QtTest module only with USE="X" because it needs QtGui (bug #348349).
48 Add build-time dep on pkgconfig with USE="dbus". Raise minimum required Qt
49 version.
50
51 20 Feb 2012; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.7.7-r1.ebuild,
52 -PyQt4-4.8.1-r1.ebuild, -PyQt4-4.8.2.ebuild, -PyQt4-4.8.3.ebuild,
53 -PyQt4-4.8.5.ebuild, -PyQt4-4.8.6.ebuild, -PyQt4-4.9.ebuild,
54 -files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff,
55 -files/PyQt4-4.8.3-configure-multilib.patch, metadata.xml:
56 Add <upstream> tag to metadata. Cleanup old ebuilds and patches.
57
58 20 Feb 2012; Patrick Lauer <patrick@gentoo.org> PyQt4-4.7.3.ebuild,
59 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.1.ebuild,
60 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild, PyQt4-4.8.4.ebuild,
61 PyQt4-4.8.5.ebuild, PyQt4-4.8.6.ebuild, PyQt4-4.9.1.ebuild, PyQt4-4.9.ebuild:
62 Fixing pypy restricts to actually work
63
64*PyQt4-4.9.1 (12 Feb 2012)
65
66 12 Feb 2012; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.1.ebuild:
67 version bump
68
69 25 Jan 2012; Alex Alexander <wired@gentoo.org> PyQt4-4.9.ebuild:
70 builds with qt-opengl-4.8.0[egl], updated dep
71
72 27 Dec 2011; Maxim Koltsov <maksbotan@gentoo.org> PyQt4-4.9.ebuild:
73 Enable versioning of /usr/bin/pyuic4. Run eqmake4() in qpy/QtDBus directory.
74 Fixes backported from Progress Overlay. Patch by Arfrever.
75
76*PyQt4-4.9 (24 Dec 2011)
77
78 24 Dec 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.9.ebuild:
79 Version bump
80
81*PyQt4-4.8.6 (11 Nov 2011)
82
83 11 Nov 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.6.ebuild:
84 Version bump
85
86 24 Aug 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.5.ebuild:
87 Restrict PyPy ABIs. Avoid warnings about insecure runpaths (bug #376483).
88 Print useful warning in pkg_postinst(). Patch by Arfrever. Backported from
89 python overlay.
90
91*PyQt4-4.8.5 (19 Aug 2011)
92
93 19 Aug 2011; Markos Chandras <hwoarang@gentoo.org> +PyQt4-4.8.5.ebuild:
94 Version bump
95
96 25 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.4.ebuild:
97 ppc/ppc64 stable wrt #374591
98
99 21 Jul 2011; Markus Meier <maekke@gentoo.org> PyQt4-4.8.4.ebuild:
100 x86 stable, bug #374591
101
102 13 Jul 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.3.ebuild:
103 ppc64 stable wrt #354033
104
105 10 Jul 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.4.ebuild:
106 Stable on amd64 wrt bug #374591
107
108 01 Jun 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.3.ebuild:
109 Marking PyQt4-4.8.3 ppc stable for bug 354033
110
111 09 May 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.3.ebuild:
112 Stable on amd64 wrt bug #354033
113
114 09 May 2011; Thomas Kahle <tomka@gentoo.org> PyQt4-4.8.3.ebuild:
115 x86 stable per bug 354033
116
117*PyQt4-4.8.4 (02 May 2011)
118
119 02 May 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
120 +PyQt4-4.8.4.ebuild:
121 Version bump.
122
123 26 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org> PyQt4-4.7.3.ebuild,
124 PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild,
125 PyQt4-4.8.2.ebuild, PyQt4-4.8.3.ebuild:
126 Adapt phonon dependency for package move
127
128 16 Mar 2011; Kacper Kowalik <xarthisius@gentoo.org> PyQt4-4.8.1.ebuild:
129 ppc64 stable wrt #349607
130
131 27 Feb 2011; Raúl Porcel <armin76@gentoo.org> PyQt4-4.8.1.ebuild:
132 ia64/sparc stable wrt #349607
133
134 27 Feb 2011; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.8.1.ebuild:
135 Stable on alpha, bug #349607
136
137 28 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
138 PyQt4-4.8.3.ebuild:
139 Update dependencies (bug #353053).
140
141*PyQt4-4.8.3 (25 Jan 2011)
142
143 25 Jan 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
144 +PyQt4-4.8.3.ebuild, +files/PyQt4-4.8.3-configure-multilib.patch:
145 Version bump.
146
147 16 Jan 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> PyQt4-4.8.1.ebuild:
148 x86 stable wrt bug #349607
149
150 07 Jan 2011; Brent Baude <ranger@gentoo.org> PyQt4-4.8.1.ebuild:
151 Marking PyQt4-4.8.1 ppc stable for bug 349607
152
153 04 Jan 2011; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.8.1.ebuild:
154 Stable on amd64 wrt bug #349607
155
156 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
157 PyQt4-4.8.1.ebuild, PyQt4-4.8.1-r1.ebuild, PyQt4-4.8.2.ebuild:
158 Require x11-libs/qt-opengl[-egl] until bug #344513 is fixed.
159
160*PyQt4-4.8.1-r1 (30 Dec 2010)
161
162 30 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
163 PyQt4-4.8.1.ebuild, +PyQt4-4.8.1-r1.ebuild:
164 Copy 4.8.1 to 4.8.1-r1. Delete "declarative" USE flag in 4.8.1.
165
166 25 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
167 PyQt4-4.8.2.ebuild:
168 Fix dependencies (bug #349672).
169
170*PyQt4-4.8.2 (24 Dec 2010)
171
172 24 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
173 +PyQt4-4.8.2.ebuild:
174 Version bump.
175
176 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
177 PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild, PyQt4-4.8.1.ebuild:
178 Restrict Jython ABIs.
179
180 19 Dec 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
181 -files/PyQt4-4.5.4-qgraphicslinearlayout-fix.patch,
182 -files/configure-4.6.1.py.patch, -PyQt4-4.6.2.ebuild, -PyQt4-4.8.ebuild,
183 -files/configure.py.patch:
184 Delete.
185
186 06 Dec 2010; Alex Alexander <wired@gentoo.org> -PyQt4-4.5.4-r4.ebuild:
187 old, depends on qt 4.5
188
189 06 Nov 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.5.4-r4.ebuild,
190 PyQt4-4.6.2.ebuild, PyQt4-4.7.3.ebuild, PyQt4-4.7.7-r1.ebuild,
191 PyQt4-4.8.ebuild, PyQt4-4.8.1.ebuild:
192 Remove HPPA keywording (bug #239441).
193
194*PyQt4-4.8.1 (30 Oct 2010)
195
196 30 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
197 +PyQt4-4.8.1.ebuild:
198 Version bump.
199
200 23 Oct 2010; Raúl Porcel <armin76@gentoo.org> PyQt4-4.7.3.ebuild:
201 ia64/sparc stable wrt #315775
202
203*PyQt4-4.8 (23 Oct 2010)
204
205 23 Oct 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
206 -PyQt4-4.7.ebuild, -PyQt4-4.7.5.ebuild, -PyQt4-4.7.7.ebuild,
207 +PyQt4-4.8.ebuild, metadata.xml:
208 Version bump.
209
210*PyQt4-4.7.7-r1 (06 Oct 2010)
211
212 06 Oct 2010; Theo Chatzimichos <tampakrap@gentoo.org>
213 +PyQt4-4.7.7-r1.ebuild, +files/PyQt4-4.7.7-fix-scpk-and-flag-issue.diff:
214 Revision bump, add patch that fixes compilation with PyKDE 4.5.2
215
216*PyQt4-4.7.7 (21 Sep 2010)
217
218 21 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.6.ebuild,
219 +PyQt4-4.7.7.ebuild:
220 Version bump. Remove old bogus version
221
222 13 Sep 2010; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.7.3.ebuild:
223 Stable on alpha, bug #315775
224
225 13 Sep 2010; Joseph Jezak <josejx@gentoo.org> PyQt4-4.7.3.ebuild:
226 Marked ppc stable for bug #315775.
227
228 10 Sep 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
229 PyQt4-4.7.6.ebuild:
230 Update EAPI. Fix dependencies.
231
232*PyQt4-4.7.6 (08 Sep 2010)
233
234 08 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.2.ebuild,
235 +PyQt4-4.7.6.ebuild:
236 Version bump. Remove old ebuild
237
238 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> -PyQt4-4.7.4.ebuild,
239 PyQt4-4.7.5.ebuild:
240 Drop old bogus ebuild. Drop RESTRICT_PYTHON_ABIS from latest ebuild
241
242*PyQt4-4.7.5 (01 Sep 2010)
243
244 01 Sep 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild,
245 +PyQt4-4.7.5.ebuild:
246 Version bump
247
248 18 Aug 2010; Jeroen Roovers <jer@gentoo.org> PyQt4-4.7.3.ebuild:
249 Stable for HPPA (bug #315775).
4 250
5 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild: 251 15 Jul 2010; Markos Chandras <hwoarang@gentoo.org> PyQt4-4.7.4.ebuild:
6 Bump sip dependency to 4.10.3. Fix arm epatch command 252 Bump sip dependency to 4.10.3. Fix arm epatch command
7 253
8*PyQt4-4.7.4 (13 Jul 2010) 254*PyQt4-4.7.4 (13 Jul 2010)

Legend:
Removed from v.1.121  
changed lines
  Added in v.1.180

  ViewVC Help
Powered by ViewVC 1.1.20